## libnids 1.23

=== debian/changelog ===
libnids (1.23-2ubuntu1) xenial; urgency=medium

  * debian/patches/before-after.patch: Fix declarations of before and after
    functions so that they are defined in util.h, fixing undefined references
    in libnibs.so.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 06 Dec 2015 01:16:24 -0500

libnids (1.23-2) unstable; urgency=high

  * Update my email address (closes: #574042).

 -- Vasilis Pappas <vpappas@gmail.com>  Tue, 20 Jul 2010 20:12:19 -0400

libnids (1.23-1.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix NULL ptr dereference in src/ip_fragment.c which can
    be used to cause denial of service conditiions with applications
    using this library (Closes: #576281).

 -- Nico Golde <nion@debian.org>  Sun, 20 Jun 2010 14:20:06 +0200

libnids (1.23-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.4, thanks to Martin Michlmayr (Closes: #504824)

 -- David Paleino <dapal@debian.org>  Mon, 21 Dec 2009 16:05:39 +0100

libnids (1.23-1) unstable; urgency=low

  * New upstream release. Closes: #474575.
  * Added the samples directory to /usr/share/doc/libnids-dev.
  * Added code to bypass checksum calculation in the printall sample.
  * Fixed debian/watch file. Closes: #449806.

 -- Vasilis Pappas <vpappas@ics.forth.gr>  Mon, 16 Jun 2008 11:52:28 +0300

libnids (1.21-1) unstable; urgency=low

  * New Maintainer. Closes: #390827.

 -- Vasilis Pappas <vpappas@ics.forth.gr>  Tue, 05 Dec 2006 11:40:30 +0200

libnids (1.21-0) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Set debhelper compatibility to 5.
  * Added debian/watch file.
  * Added homepage to description.
  * Fixed incorrect function return type in the manpage (Closes:
    #388531). Patch by Piotr Engelking <inkerman42@gmail.com>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 08 Nov 2006 20:18:14 +1100

libnids (1.20-4) unstable; urgency=low

  * QA upload.
  * Set Maintainer to QA Group; Orphaned: #390827
  * Remove config.log on clean
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Sun, 15 Oct 2006 13:10:32 +0200

libnids (1.20-3) unstable; urgency=high

  * Fixed broken control file, which makes libnids-dev uninstallable.
    (libnids-dev didn't depend upon the correct version of the library).

 -- Steve Kemp <skx@debian.org>  Monday, 11 July 2005 20:28:20 +0000

libnids (1.20-2) unstable; urgency=low

  * Changes from Faidon Liambotis:
     * Renamed binary package to libnids1.20, Conflicts/Replaces libnids1.
       (Closes: #299560)
     * Cleaned up debian/rules.
     * Removed obsolete debhelper usage.
     * Updated Standards-Version to 3.6.2.2 [No Changes]

 -- Steve Kemp <skx@debian.org>  Sunday, 26 June 2005 15:51:32 +0000

libnids (1.20-1) unstable; urgency=low

  * New upstream release.
  * Updated the copyright file to distinguish between *Copyright*
    and *License* (Closes: #290196)
  * Updated URL for homepage in copyright file.
  * Update config.{sub guess} and build-dep upon autotools-dev
    so they never get out of date.

 -- Steve Kemp <skx@debian.org>  Friday, 28 February 2005 04:23:10 +0000
 

libnids (1.19-1) unstable; urgency=high

  * New upstream, which contains an important bugfix wrt FIN handling.
    Hence higher urgency.

 -- Steve Kemp <skx@debian.org>  Friday, 10 December 2004 15:12:01 +0000

libnids (1.18-4) unstable; urgency=high

  * Fixes important bug where packets weren't being recorded
    in some situations.  (Closes: #252330)
  * Updated to use libnet1 rather than libnet0.  (Closes: #241059)
  * Updated standards version to 3.6.6.1

 -- Steve Kemp <skx@debian.org>  Wednesday, 1 December 2004 21:58:04 +0000

libnids (1.18-3) unstable; urgency=high

  * Make a maintainer upload, after the kind NMU from Matt Kraai
    this will close down the bugs which he kindly fixed for me.
  * Urency set to high to avoid FTBFS errors close to freeze.
  * Build-depend on libpcap0.8-dev instead of libpcap-dev 
    (Closes: #262172)
  * Fixed FTBFS due to Build-deps (duplicate bug).
    (Closes: #265689)
  * Don't use an NMU version number for the package.
    (Closes: #240148)
  * Move the package into section 'libdevel' rather than 'devel'.

 -- Steve Kemp <skx@debian.org>  Monday, 16 August 2004 19:42:21 +0000

libnids (1.18-2.1) unstable; urgency=low

  * Non-maintainer upload with maintainer permission.
  * Build-depend on libpcap0.8-dev instead of libpcap-dev (closes:
    #262172).

 -- Matt Kraai <kraai@debian.org>  Sun, 15 Aug 2004 07:40:35 -0700

libnids (1.18-2) unstable; urgency=low

  * Acknowlege NMU by Domenico - many thanks.
    Rebuilt with libnet0-dev (Closes: #227213)

 -- Steve Kemp <skx@debian.org>  Thursday, 22 April 2004 22:46:19 +0000

libnids (1.18-1.1) unstable; urgency=low

  * Rebuilt against newer libnet0-dev package (closes: #227213)
    - updated build dependency on libnet0-dev (>= 1.0.2a-5)
  * It is not a native package any more (closes: #240148)
  * Updated standards version to 3.6.1
  * NMU with maintainer permission

 -- Domenico Andreoli <cavok@debian.org>  Fri, 26 Mar 2004 00:16:34 +0100

libnids (1.18-1) unstable; urgency=high

  * Fixes security hole allowing arbitary code (CAN-2003-0850) 
    Urgency set to high because of this.
    (Closes: #226356)
  * New upstream release.
    (Closes: #192621)
  * New maintainer.
    (Closes: #188171)

 -- Steve Kemp <skx@debian.org>  Wed, 8 Jan 2004  19:35:28 +0000

libnids (1.16-4) unstable; urgency=low

  * QA Upload, patch from From: Frank Lichtenheld <frank@lichtenheld.de>
    (closes: #203824).
  * Change maintainer to QA Group
  * Remove multiline strings (closes: #195577)
  * Build killtcp.static (closes: #168000)
  * General clean-up
  * Update to debhelper 4
  * Update Standards-Version to 3.6.0

 -- Roland Mas <lolando@debian.org>  Sun, 24 Aug 2003 10:09:36 +0200

libnids (1.16-3) unstable; urgency=low

  * Changed maintainer field 


