=== debian/control ===
Source: libnids
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vasilis Pappas <vpappas@gmail.com>
Build-Depends: libpcap0.8-dev, libnet1-dev (>= 1.1.2.1), debhelper (>= 5), autotools-dev, pkg-config, libglib2.0-dev
Standards-Version: 3.9.0

Package: libnids-dev
Homepage: http://libnids.sourceforge.net/
Section: libdevel
Architecture: any
Depends: libnids1.21 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Description: IP defragmentation TCP segment reassembly library (development)
 Libnids is a library that provides the functionality of one of the NIDS
 (Network Intrusion Detection System) components, namely E-component. 
 Libnids code watches all local network traffic, cooks received datagrams a 
 bit, and provides convenient information about them to the NIDS analyzing 
 modules.
 Libnids performs assembly of TCP segments into TCP streams, IP 
 defragmentation, and TCP port scan detection.
 .

Package: libnids1.21
Homepage: http://libnids.sourceforge.net/
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libnids1 
Replaces: libnids0, libnids1 
Description: IP defragmentation TCP segment reassembly library 
 Libnids is a library that provides the functionality of one of the NIDS
 (Network Intrusion Detection System) components, namely E-component. 
 Libnids code watches all local network traffic, cooks received datagrams a 
 bit, and provides convenient information about them to the NIDS analyzing 
 modules.
 Libnids performs assembly of TCP segments into TCP streams, IP 
 defragmentation, and TCP port scan detection.
 .
