## libnids 1.24

=== debian/changelog ===
libnids (1.24-4) unstable; urgency=medium

  * Team upload.
  * Bugfix in symbols file: Match all Debian architectures that use the i386
    instruction set (instead of only i386 on linux).

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Sun, 27 Aug 2017 20:58:23 +0200

libnids (1.24-3) unstable; urgency=medium

  * Team upload.
  * Update symbols file to correct problems:
    + Remove space between tag and symbol name.
    + Remove Debian version from csum_partial symbol.
    + Change the condition to arch=i386 instead of arch-bits=32 as the guard
      used in the code is specific on the i386 architecture.

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Sun, 27 Aug 2017 16:14:15 +0200

libnids (1.24-2) unstable; urgency=medium

  * Fix build failures due to missing symbols
    thanks Adrian Bunk for the report (Closes: #872073)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Aug 2017 12:43:29 +0200

libnids (1.24-1) unstable; urgency=medium

  * New upstream version 1.24 (Closes: #589415)
  * d/copyright:
    + Make dep5 compliant
    + Update copyright holders
  * d/rules
    + Revamp using dh sintax.
    + Add hardening flags.
  * d/control
    + Delete duplicate field.
    + Bump to dh 10 compat level.
    + Cosmetic changes to description.
    + Delete explicit version of libnet1-dev.
      It is present since Wheezy release.
    + Delete build-dependency on pkg-config
    + Bump to Standards-Version: 4.0.0
  * Add multiarch paths
  * Adjust files list on d/libnids-dev-docs.
  * Polish, refresh, rename and fix dep3 issues in patch files.
  * d/watch
    + Check gpg signature with uscan.
    + Add signing-key.asc file for watch file use.
  * Add d/libnids.1.21.symbols file

  [ Lukas Schwaighofer ]
  * update config.{sub,guess} by enabling the dh autotool-dev sequence
  * add CFLAGS using DEB_CFLAGS_MAINT_APPEND
  * improve patches
    + patch Makefile.in to apply CPPFLAGS and LDFLAGS (needed for hardening)
    + introduce separate patch to keep soname
  * add -Wl,--as-needed to LDFLAGS to avoid unnecessary linking
  * drop modifications of the printall.c sample code
  * mark binary packages as Multi-Arch: same

 -- Marcos Fouces <marcos.fouces@gmail.com>  Mon, 27 Mar 2017 23:15:13 +0200

libnids (1.23-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix assembly of TCP streams on armhf by adding -fno-strict-aliasing.
    (Closes: #851060)
  * Fix use of "inline" with GCC >= 5 which causes undefined references in
    applications linked against libnids. (Closes: #855602)

 -- James Cowgill <jcowgill@debian.org>  Sun, 26 Feb 2017 16:25:37 +0000
