=== debian/control ===
Source: libnids
Section: libdevel
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
Build-Depends: libpcap0.8-dev, libnet1-dev, debhelper (>= 10), libglib2.0-dev
Standards-Version: 4.0.0
Homepage: http://libnids.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/pkg-security/libnids.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/libnids.git

Package: libnids-dev
Architecture: any
Multi-Arch: same
Depends: libnids1.21 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Description: IP defragmentation TCP segment reassembly library (development)
 Libnids is a library that provides the functionality of one of the NIDS
 (Network Intrusion Detection System) components, namely E-component. 
 Libnids code watches all local network traffic, cooks received datagrams a 
 bit, and provides convenient information about them to the NIDS analyzing 
 modules.
 Libnids performs assembly of TCP segments into TCP streams, IP 
 defragmentation, and TCP port scan detection.
 .
 This is the development package.

Package: libnids1.21
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IP defragmentation TCP segment reassembly library 
 Libnids is a library that provides the functionality of one of the NIDS
 (Network Intrusion Detection System) components, namely E-component. 
 Libnids code watches all local network traffic, cooks received datagrams a 
 bit, and provides convenient information about them to the NIDS analyzing 
 modules.
 Libnids performs assembly of TCP segments into TCP streams, IP 
 defragmentation, and TCP port scan detection.
