=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ http://sf.net/libnids/libnids-(.+)\.tar\.gz debian uupdate
