## libnids 1.25

=== debian/changelog ===
libnids (1.25-1) unstable; urgency=medium

  * New upstream release 1.25 (from new upstream).
  * d/control:
    - Bump debhelper-compat compatibility level to 13
    - Switch Build-Depends from debhelper to debhelper-compat, dropping
      d/compat in the process.
    - Bump Standards-Version to 4.5.1 (no change required).
    - Add Rules-Requires-Root: no in source stanza.
  * d/watch
    - Switch to new upstream.
  *d/patches
    - Add 05_Sane-TCP-flow-timeout.patch
  * Delete obsolete upstream signing-key.
  * d/copyright
   - Update copyright years and authors for Debian packaging.
  * Update uploader email to @debian.org.
  * Fix libnids.3 manpage location in d/*.manpages file.
  * d/rules:
    - Remove -Wl,--as-needed linker flag (no longer needed).

 -- Marcos Fouces <marcos@debian.org>  Sun, 10 Jan 2021 01:01:51 +0100

libnids (1.24-5) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to
    Debian Security Tools <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Marcos Fouces ]
  * Remove trailing whitespaces.
  * Bump to dh 11.
  * Change section of libnids source package from libdevel to libs.
  * Add build-depends-package filed in symbols file.
  * Update copyright year.
  * Bump to Standards-Version 4.2.1 (no changes required).

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sun, 04 Nov 2018 22:36:13 -0200
