=== debian/control ===
Source: libnids
Section: libs
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>
Build-Depends: libpcap0.8-dev, libnet1-dev, debhelper-compat (= 13), libglib2.0-dev
Standards-Version: 4.5.1
Homepage: https://github.com/MITRECND/libnids/
Vcs-Git: https://salsa.debian.org/pkg-security-team/libnids.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/libnids
Rules-Requires-Root: no

Package: libnids-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libnids1.21 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Description: IP defragmentation TCP segment reassembly library (development)
 Libnids is a library that provides the functionality of one of the NIDS
 (Network Intrusion Detection System) components, namely E-component.
 Libnids code watches all local network traffic, cooks received datagrams a
 bit, and provides convenient information about them to the NIDS analyzing
 modules.
 Libnids performs assembly of TCP segments into TCP streams, IP
 defragmentation, and TCP port scan detection.
 .
 This is the development package.

Package: libnids1.21
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IP defragmentation TCP segment reassembly library
 Libnids is a library that provides the functionality of one of the NIDS
 (Network Intrusion Detection System) components, namely E-component.
 Libnids code watches all local network traffic, cooks received datagrams a
 bit, and provides convenient information about them to the NIDS analyzing
 modules.
 Libnids performs assembly of TCP segments into TCP streams, IP
 defragmentation, and TCP port scan detection.
