=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v(.*)\.tar\.gz/libnids-$1.tar.gz/" \
https://github.com/MITRECND/libnids/releases (?:.*/)?v?(\d.*)\.tar\.gz
