## libnids 1.26

=== debian/changelog ===
libnids (1.26-3) unstable; urgency=medium

  * Team upload.
  * d/rules: Instruct the compiler to apply C dialect gnu17 (Closes: #1097237).

 -- Sven Geuer <sge@debian.org>  Sun, 07 Sep 2025 15:09:11 +0200

libnids (1.26-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062483

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:22:28 +0000

libnids (1.26-2) unstable; urgency=medium

  * Fix watch file.
  * Bump Standards-Version to 4.6.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Fri, 07 Oct 2022 17:51:39 +0200

libnids (1.26-1) unstable; urgency=medium

  * New upstream version 1.26
  * Refresh patches.
  * Bump Standards-Version to 4.6.0 (no changes required).
  * Update copyright year.

 -- Marcos Fouces <marcos@debian.org>  Sat, 07 May 2022 20:15:56 +0200
