=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
-Build-Depends: libpcap0.8-dev, libnet1-dev, debhelper-compat (= 13), libglib2.0-dev
-Standards-Version: 4.5.1
+Build-Depends: dpkg-dev (>= 1.22.5), libpcap0.8-dev, libnet1-dev, debhelper-compat (= 13), libglib2.0-dev
+Standards-Version: 4.6.1
 Homepage: https://github.com/MITRECND/libnids/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/libnids.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/libnids
@@ -14,7 +14,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libnids1.21 (= ${binary:Version}), libc6-dev, ${misc:Depends}
+Depends: libnids1.21t64 (= ${binary:Version}), libc6-dev, ${misc:Depends}
 Description: IP defragmentation TCP segment reassembly library (development)
  Libnids is a library that provides the functionality of one of the NIDS
  (Network Intrusion Detection System) components, namely E-component.
@@ -26,7 +26,10 @@
  .
  This is the development package.
 
-Package: libnids1.21
+Package: libnids1.21t64
+Provides: ${t64:Provides}
+Replaces: libnids1.21
+Breaks: libnids1.21 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
