=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing
+# Setting the C dialect per '-std=gnu17' so that this code, abandoned upstream,
+# still compiles with GCC-15.
+export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing -std=gnu17
 
 %:
 	dh $@
